#!/bin/sh

apath=`echo $PATH|grep "zy-pkgs"`
if [ "${apath}" == "" ]; then
	. /etc/profile
fi

devdisk1=`sg_map -x -i|grep " 0 0 0 0"|awk '{print $7}'`
devdisk2=`sg_map -x -i|grep " 1 0 0 0"|awk '{print $7}'`

ret=0
zysh_cli() {
	if [ "${devdisk1}" != "" ]; then
		zyshclient -p 150 -e "configure terminal smart showDiskPerformance ${devdisk1}"
		ret=$(($?|${ret}))
	fi

	if [ "${devdisk2}" != "" ]; then
		zyshclient -p 150 -e "configure terminal smart showDiskPerformance ${devdisk2}"
		ret=$(($?|${ret}))
	fi
}

case ${1} in
	
	"cli")
		# cli mode
		zysh_cli
		;;
	
	"startup")
		;;
	*)
		echo "$0 cli|startup"
		;;

esac
exit ${ret}
